## pyjvcprojector 1.1.2

=== Makefile ===
all: clean build

build:
	python3 -m build
	python -m twine upload -u __token__ dist/*

clean:
	rm -rf dist

=== requirements.txt ===
aiodns>=3.2.0

=== debian/changelog ===
pyjvcprojector (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 06 Oct 2024 08:47:17 +0100

pyjvcprojector (1.0.12-1) unstable; urgency=medium

  * New upstream release.
  * Upstream switched from dnspython to aiodns.

 -- Edward Betts <edward@4angle.com>  Sun, 08 Sep 2024 10:47:44 +0100

pyjvcprojector (1.0.11-1) unstable; urgency=medium

  * Initial release. (Closes: #1080081)

 -- Edward Betts <edward@4angle.com>  Fri, 30 Aug 2024 11:11:52 +0100

=== debian/control ===
Source: pyjvcprojector
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiodns <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/SteveEasley/pyjvcprojector
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyjvcprojector
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyjvcprojector.git

Package: python3-pyjvcprojector
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for controlling a JVC Projector over a network connection
 This library enables interaction with JVC projectors that have a LAN network
 port. Users can turn the projector on or off, change inputs between HDMI
 ports, and fetch power status including detailed states like standby, on,
 warming, cooling, and error. The library also allows sending remote control
 commands to the projector, which includes navigating menus and adjusting
 settings. Additionally, it provides functions to read and write various
 operational commands directly to the projector, making it capable of both
 basic and advanced controls over network connections.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyjvcprojector
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyjvcprojector.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyjvcprojector-$1\.tar\.gz/ \
  https://github.com/SteveEasley/pyjvcprojector/tags .*/v?(\d\S+)\.tar\.gz

## pyjvcprojector 2.0.1

=== Makefile ===
all: format check test

format:
	ruff format jvcprojector tests

check:
	mypy jvcprojector tests
	ruff check jvcprojector tests --fix
	pylint jvcprojector tests

test:
	pytest

build: clean
	python3 -m build
	python -m twine upload -u __token__ dist/*

clean:
	rm -rf dist build pyjvcprojector.egg-info

=== debian/changelog ===
pyjvcprojector (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 17 Jan 2026 08:11:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -14,8 +13,7 @@
  python3-aiodns <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/SteveEasley/pyjvcprojector
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyjvcprojector
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyjvcprojector.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: SteveEasley
Project: pyjvcprojector
